Pulp - Issue #7299

HTML in our json schema
08/10/2020 10:25 PM - daviddavis

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: fao89 Estimated time: 0:00 hour
Category:

Sprint/Milestone: 3.6.0

Severity: 2. Medium Groomed: No
Version: Sprint Candidate: No
Platform Release: Tags:

0OS: Sprint: Sprint 79
Triaged: Yes Quarter:

Description

The fix for issue #5009 no longer works and as a result, we have html in our json schema.

Related issues:
Related to RPM Support - Task #5900: Release shows as "beta" on PyPI CLOSED - CURRENTRELEASE

Associated revisions

Revision d7841623 - 08/11/2020 11:03 PM - Fabricio Aguiar
Filter out html by default in REST API docs

https://pulp.plan.io/issues/7299 closes #7299

History

#1 - 08/10/2020 10:29 PM - daviddavis

I'd actually propose that we just completely remove html from our json and python docstring. We're only using it in 3-4 places and I'm not sure it's
adding any value.

#2 - 08/10/2020 10:30 PM - daviddavis
- Related to Task #5900: Release shows as "beta" on PyPl added

#3 - 08/11/2020 03:51 PM - fao89
- Status changed from NEW to ASSIGNED

- Assignee set to fao89

#4 - 08/11/2020 04:32 PM - fao89
- Triaged changed from No to Yes

- Sprint set to Sprint 79

#5 - 08/11/2020 09:57 PM - pulpbot
- Status changed from ASSIGNED to POST

PR: https://github.com/pulp/pulpcore/pull/841

#6 - 08/11/2020 11:03 PM - Anonymous
- Status changed from POST to MODIFIED

Applied in changeset pulpcore|d78416238190111ff2cc5f53e8542d949b7aff0d.

#7 - 08/13/2020 10:20 PM - dkliban@redhat.com
- Sprint/Milestone set to 3.6.0
#8 - 08/13/2020 11:38 PM - pulpbot
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
